Function
defaultRng
Default default random number generator object of a given type.
defaultRng<TRng>()
Parameters

TRng | Type of the Rng to return the global default object of. Types: MersenneTwister Default: MersenneTwister

Remarks
The random number generator will be default constructed, i.e. with the default seed.
This function is NOT thread-safe! Also, data structures using such global state are not thread-safe! Data structures using global random number generator state should use pointers or Holder instances. This way, the random number generator state to be used can be set to be thread-local.
Return Values
Default random number generator object of the type given by tag.
See Also
GetDefaultRng
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58